Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class AbstractResourceConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.builders.AbstractResourceConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

Direct Known Subclasses:
  AutoConfigurationBuilder, ScriptConfigurationBuilder, SpringXmlConfigurationBuilder

    public abstract class AbstractResourceConfigurationBuilder

extends AbstractConfigurationBuilder

Abstract `ConfigurationBuilder` implementation used for ConfigurationBuider's that use one of more configuration resources of the same type that are defined using strings or `ConfigResource` objects. It is recommended that `ConfigResource` objects are used over strings since they can be more descriptive, but Strings will be supported for quite some time.

Field Summary
`protected ConfigResource[]` | `configResources`
`protected static Log` | `logger`

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configured`

Constructor Summary
`AbstractResourceConfigurationBuilder(ConfigResource[] configResources)`
`AbstractResourceConfigurationBuilder(String configResources)`
`AbstractResourceConfigurationBuilder(String[] configResources)`

Method Summary
`void` | `configure(MuleContext muleContext)` Override to check for existence of configResouce before invocation, and set resources n configuration afterwards.
`protected String` | `createConfigResourcesString()`
`protected ConfigResource[]` | `loadConfigResources(String[] configs)`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`applyLifecycle, doConfigure, isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

### configResources

    protected ConfigResource[] configResources

Constructor Detail

### AbstractResourceConfigurationBuilder

    public AbstractResourceConfigurationBuilder(String configResources)
                                         throws ConfigurationException

Parameters:
  `configResources` - a comma separated list of configuration files to load, this should be accessible on the classpath or filesystem
Throws:
  `ConfigurationException` - usually if the config resources cannot be loaded

### AbstractResourceConfigurationBuilder

    public AbstractResourceConfigurationBuilder(String[] configResources)
                                         throws ConfigurationException

Parameters:
  `configResources` - an array of configuration files to load, this should be accessible on the classpath or filesystem
Throws:
  `ConfigurationException` - usually if the config resources cannot be loaded

### AbstractResourceConfigurationBuilder

    public AbstractResourceConfigurationBuilder(ConfigResource[] configResources)

Parameters:
  `configResources` - an array Reader oject that provides acces to a configuration either locally or remotely

Method Detail

### configure

    public void configure(MuleContext muleContext)
                   throws ConfigurationException

  Override to check for existence of configResouce before invocation, and set resources n configuration afterwards.

  Specified by:
    `configure` in interface `ConfigurationBuilder`
  Overrides:
    `configure` in class `AbstractConfigurationBuilder`
  Parameters:
    `muleContext` - The current `MuleContext`
  Throws:
    `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly

### loadConfigResources

    protected ConfigResource[] loadConfigResources(String[] configs)
                                            throws ConfigurationException

  Throws:
    `ConfigurationException`

### createConfigResourcesString

    protected String createConfigResourcesString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.